import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import axios from './axios/services'
import Base64 from './utils/base64.js'

import './assets/css/font.css'
import './assets/css/base.css'

import 'lib-flexible'

Vue.config.productionTip = false

import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
Vue.use(ElementUI);

import './assets/css/element-changeStyle.css';
Vue.prototype.$axios = axios;
Vue.prototype.$Base64 = Base64;

import VueQuillEditor from 'vue-quill-editor'
import 'quill/dist/quill.core.css'
import 'quill/dist/quill.snow.css'
import 'quill/dist/quill.bubble.css'
Vue.use(VueQuillEditor)

import common from './utils/common'
Vue.prototype.$common = common;

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
